<?php 

/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE_AFL.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
*
 * @category    design
 * @package     ced_default
 * @author 		CedCommerce Core Team <coreteam@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
?>
<?php
	$block = $this->getLayout()->getBlockSingleton('csmarketplace/vendor_navigation');
	$this->setVendorId($block->getVendorId());
	$this->setVendor($block->getVendor());
	
	$helper = Mage::helper('csmarketplace');
	$isFirst = !count(Mage::getModel('csmarketplace/vproducts')->getVendorProducts('',$this->getVendorId()));
?>
<!-- /.navbar-header -->

<ul class="nav navbar-top-links navbar-right in">
	<?php echo $this->getChildHtml('navlinks')?>
	<!-- /.dropdown -->
	<li class="dropdown">
		<a class="dropdown-toggle" data-toggle="dropdown" href="#">
			<i class="fa fa-tasks fa-fw"></i>
			<span id="dropdown-tasks-label" class="label label-success"></span>
			<i class="fa fa-caret-down"></i>
		</a>
		<ul class="dropdown-menu dropdown-tasks">
			<?php  if($this->getVendorId() && $this->getVendor()->getStatus() == Ced_CsMarketplace_Model_Vendor::VENDOR_APPROVED_STATUS ) { ?>
				<?php echo $this->getChildHtml('task_links')?>
				<li>
					<?php 
						  echo $this->getLayout()
									->createBlock('csmarketplace/vendor_navigation_statatics','csmarketplace_vendor_navigation_statatics_header')
									->setTemplate('csmarketplace/vendor/navigation/statatics.phtml')->toHtml(); 
					?>
				</li>
			<?php } ?>
		</ul>
	</li>
	<li class="dropdown">
		<a class="dropdown-toggle" data-toggle="dropdown" href="#">
			<i class="fa fa-bell fa-fw"></i> 
			<span id="dropdown-alerts-label" class="label label-warning"></span>
			<i class="fa fa-caret-down"></i>
		</a>
		<ul class="dropdown-menu dropdown-alerts">
			<?php  if($this->getVendorId() && $this->getVendor()->getStatus() == Ced_CsMarketplace_Model_Vendor::VENDOR_APPROVED_STATUS ) { ?>
				<?php echo $this->getChildHtml('notification_links')?>
				<?php if(!$this->getVendor()->getProfilePicture()) { ?>
					<li>
						<a href="<?php echo $this->getUrl('csmarketplace/vendor/profile',array('_secure' => true)); ?>" title="<?php echo $helper->__('Add Profile Picture') ?>">
							<div>
								<i class="fa fa-bell fw"></i>
								<?php echo $helper->__('Add Profile Picture') ?>
								<span class="pull-right text-muted small">..</span>
							</div>
						</a>
					</li>
					<li class="divider"></li>
				<?php } ?>
				<?php if(!Mage::helper('csmarketplace')->isShopEnabled($this->getVendor())) { ?>	
					<li>	
						<a href="#" title="<?php echo $helper->__('Your Shop is disabled By Admin') ?>">
							<div>
								<i class="fa fa-bell fw"></i>
								<?php echo $helper->__('Your Shop is disabled By Admin') ?>
								<span class="pull-right text-muted small">..</span>
							</div>
						</a>
					</li>
					<li class="divider"></li>
				<?php } ?>
				<?php if(!$this->getVendor()->getCompanyLogo()) { ?>	
					<li>
						<a href="<?php echo $this->getUrl('csmarketplace/vendor/profile',array('_secure' => true)); ?>" title="<?php echo $helper->__('Add Company Logo') ?>">
							<div>
								<i class="fa fa-bell fw"></i>
								<?php echo $helper->__('Add Company Logo') ?>
								<span class="pull-right text-muted small">..</span>
							</div>
						</a>
					</li>
					<li class="divider"></li>
				<?php } ?>
				<?php if(!$this->getVendor()->getCompanyBanner()) { ?>
					<li>
						<a href="<?php echo $this->getUrl('csmarketplace/vendor/profile',array('_secure' => true)); ?>" title="<?php echo $helper->__('Add Company Banner') ?>">
							<div>
								<i class="fa fa-bell fw"></i>
								<?php echo $helper->__('Add Company Banner') ?>
								<span class="pull-right text-muted small">..</span>
							</div>
						</a>	
					</li>
					<li class="divider"></li>
				<?php } ?>
				<?php if($isFirst) { ?>
					<li>
						<a href="<?php echo $this->getUrl('csmarketplace/vproducts/new',array('_secure' => true)); ?>" title="<?php echo $helper->__('Add Your First Product') ?>">
							<div>
								<i class="fa fa-bell fw"></i>
								<?php echo $helper->__('Add Your First Product') ?>
								<span class="pull-right text-muted small">..</span>
							</div>
						</a>	
					</li>
					<li class="divider"></li>
				<?php } ?>
				<?php if(!$block->isPaymentDetailAvailable()) { ?>
					<li class="last">
						<a href="<?php echo $this->getUrl('csmarketplace/vsettings/index',array('_secure' => true)); ?>" title="<?php echo $helper->__('Add your Payment Details') ?>">
							<div>
								<i class="fa fa-bell fw"></i>
								<?php echo $helper->__('Add your Payment Details') ?>
								<span class="pull-right text-muted small">..</span>
							</div>
						</a>	
					</li>
				<?php } ?>
			 <?php } else { ?>
				<li>
					<a class="text-center" href="#">
						<strong><?php echo $helper->__('No Alerts');?></strong>
						<i class="fa fa-angle-right"></i>
					</a>
				</li>
			 <?php } ?>			
		</ul>
		
		<!-- /.dropdown-alerts -->
	</li>
	<!-- /.dropdown -->
	<li class="dropdown">
		<a class="dropdown-toggle" data-toggle="dropdown" href="#">
			<i class="fa fa-user fa-fw"></i>  <i class="fa fa-caret-down"></i>
		</a>
		<ul class="dropdown-menu dropdown-user">
			<li><a href="<?php echo $this->getUrl('csmarketplace/vendor/profileview/',array('_secure'=>true))?>"><i class="fa fa-user fa-fw"></i> User Profile</a>
			</li>
			<li><a href="<?php echo $this->getUrl('csmarketplace/vsettings/',array('_secure'=>true))?>"><i class="fa fa-gear fa-fw"></i> Settings</a>
			</li>
			<li class="divider"></li>
			<li><a href="<?php echo $this->getUrl('csmarketplace/account/logout/',array('_secure'=>true))?>"><i class="fa fa-sign-out fa-fw"></i> Logout</a>
			</li>
		</ul>
		<!-- /.dropdown-user -->
	</li>
	<?php  if($this->getVendorId() && $this->getVendor()->getStatus() == Ced_CsMarketplace_Model_Vendor::VENDOR_APPROVED_STATUS ) { ?>
	<li class="dropdown">
		<?php if (Mage::getStoreConfig('ced_csmarketplace/general/shopurl_active')){?>
		<a target="_blank" class="dropdown-toggle" href="<?php echo $this->getVendor()->getVendorShopUrl(); ?>" title="<?php echo $helper->__('Go to Shop') ?>">
			<i class="fa fa-external-link fw"></i>
		</a>
		<?php }?>
		<!-- /.dropdown-user -->
	</li>
	<?php } ?>
	<!-- /.dropdown -->
</ul>
<style>
.navbar-top-links > li > a > span.label{
    font-size: 9px !important;
    line-height: 0.9;
    padding: 2px 3px;
    position: absolute;
    right: 22px;
    text-align: center;
    top: 10px;
}
</style>
<script type="text/javascript">

	var childLis = document.getElementsByClassName("dropdown-tasks");
	if(childLis && childLis[0] && childLis[0].childNodes && childLis.length > 0) {
		childLis = childLis[0].childNodes;
		var lisCnt = 0;
		for(var i=0; i<childLis.length ; i++){
			if(childLis[i].innerHTML != undefined && childLis[i].innerHTML != ''){
				lisCnt++;
			}
		}
		if(lisCnt > 0){
			var labelElement = document.getElementById('dropdown-tasks-label');
			if(labelElement){
				labelElement.innerHTML = lisCnt;
			}
		}
	}

	var childLis = document.getElementsByClassName("dropdown-alerts");
	if(childLis && childLis[0] && childLis[0].childNodes && childLis.length > 0) {
		childLis = childLis[0].childNodes;
		var lisCnt = 0;
		for(var i=0; i<childLis.length ; i++){
			if(childLis[i].innerHTML != undefined && childLis[i].innerHTML != ''){
				lisCnt++;
			}
		}
		if(lisCnt > 0){
			var labelElement = document.getElementById('dropdown-alerts-label');
			if(labelElement){
				labelElement.innerHTML = lisCnt;
			}
		}
	}
</script>